<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
  <ui:define name="body">
    <rich:dragIndicator id="indicator"/>
    <h:form id="globform">
      <h1>#{messages['net.ihe.gazelle.cdagen.EPrescriptionGeneration']}</h1>
      <gri:panel>
        <f:facet name="header">#{messages['net.ihe.gazelle.cdagen.GenerateEPrescription']}</f:facet>
        <s:div id="ddsDiv">
          <gri:panel pid="personsel">
            <h:selectOneRadio value="#{ePrescManager.ddsDisplayMode}">
              <f:selectItem itemValue="List Persons" itemLabel="#{messages['net.ihe.gazelle.cdagen.ListPersons']}"/>
              <f:selectItem itemValue="Generate Persons" itemLabel="#{messages['net.ihe.gazelle.cdagen.GeneratePersons']}"/>
              <a4j:ajax event="change"  render="ddsDiv" execute="@this"/>
            </h:selectOneRadio>
            <s:div is="selecauth" rendered="#{ePrescManager.ddsDisplayMode.equals('List Persons')}">
              <rich:dataTable value="#{authorManager.authorsFounds}" id="patientsListTable" var="patient" rows="10" onRowMouseOver="this.style.backgroundColor='#94C2E6';" onRowMouseOut="this.style.backgroundColor='#{a4jSkin.tableBackgroundColor}';" render="ds">
                <g:column id="PatientIdColumn" sortBy="#{'id'}" filterBy="#{'id'}" filterEvent="onkeyup" filterValue="#{dataTableStateHolder.columnFilterValues['id']}">
                  <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Id']}</ui:define>
                  <a4j:outputPanel style="width:100px;border:1px solid gray;padding:2px; background-color:#66eedd;cursor:move;" layout="block">
                    <rich:dragSource dragIndicator=":indicator" dragType="integer" dragValue="#{patient.id}">
                      <!--<rich:dndParam xmlns:rich="http://richfaces.org/rich" xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml" name="label" value="#{patient.firstName} - #{patient.lastName}"/>-->
                    </rich:dragSource>
                    <h:outputText value="#{patient.id}"/>
                  </a4j:outputPanel>
                </g:column>
                <ui:include src="/author/authorColumns.xhtml">
                  <ui:param name="patient" value="#{patient}"/>
                </ui:include>
                <ui:include src="../tableFooter.xhtml"/>
              </rich:dataTable>
            </s:div>
            <s:div id="genautho" rendered="#{ePrescManager.ddsDisplayMode.equals('Generate Persons')}">
              <f:facet name="header">#{messages['net.ihe.gazelle.cdagen.GenerateAuthor']}</f:facet>
              <ui:include src="/patient/patientGenerator.xhtml">
                <ui:param name="patientGeneratorBean" value="#{ePrescManager}"/>
                <ui:param name="displayAllCriteria" value="#{messages['net.ihe.gazelle.cdagen.True']}"/>
              </ui:include>
              <a4j:commandButton id="generateButton" value="#{messages['net.ihe.gazelle.cdagen.GenerateAuthor_2']}" actionListener="#{ePrescManager.generateAndSaveAuthor()}"   styleClass="commandButton" render="panel1"/>
              <a4j:commandButton id="generateBss" value="#{messages['net.ihe.gazelle.cdagen.GeneratePatient']}" actionListener="#{ePrescManager.generateAndSavePatient()}"   styleClass="commandButton" render="panel2"/>
            </s:div>
          </gri:panel>
        </s:div>
        <br/>
        <br/>
        <s:div id="selectedPatientsDiv">
          <h:panelGrid columns="6">
            <gri:panel styleClass="dropTargetPanel" id="panel1">
              <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.cdagen.PrescriptionAuthor']}"/>
              </f:facet>
              <rich:dropTarget id="PONE" acceptedTypes="integer" dropListener="#{ePrescManager.processDropForAuthor}" render="patientonediv">
							</rich:dropTarget>
              <s:div id="patientonediv">
                <s:div rendered="#{ePrescManager.selectedAuthor == null}" style="width:400px;height:100px">
                  <h:outputText value="#{messages['net.ihe.gazelle.cdagen.DragAndDropAuthor']}"/>
                </s:div>
                <!-- a4j:include (instead of ui:include) changes the full id so that we can include twice the same page (/patient/showPatient.xhtml) -->
                <f:subview id="subview_1">
                  <ui:include id="include4Patient1" rendered="#{ePrescManager.selectedAuthor != null}" src="/patient/showPatient.xhtml">
                    <ui:param name="patient" value="#{ePrescManager.selectedAuthor}"/>
                    <ui:param name="renderHistory" value="#{messages['net.ihe.gazelle.cdagen.False']}"/>
                    <ui:param name="renderEncounters" value="#{messages['net.ihe.gazelle.cdagen.False']}"/>
                  </ui:include>
                </f:subview>
                <!--
								<s:decorate template="/layout/edit.xhtml">
									<ui:define name="label">Function</ui:define>
									<h:selectOneMenu id="listfunction"
										value="#{ePrescManager.selectedAuthorRole}">
										<s:selectItems
											value="#{eDispGeneratorManager.listAuthorRoles()}"
											var="authorrole"
											label="#{authorrole.displayName}" />
									</h:selectOneMenu>
								</s:decorate>
								-->
                <a4j:commandButton value="#{messages['net.ihe.gazelle.cdagen.CancelThisChoice']}" actionListener="#{ePrescManager.setSelectedAuthor(null)}" styleClass="commandButton" rendered="#{ePrescManager.selectedAuthor != null}" render="patientonediv"/>
              </s:div>
            </gri:panel>
            <h:graphicImage value="/img/flech.png"/>
            <gri:panel styleClass="dropTargetPanel" pid="panel2">
              <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.cdagen.Patient']}"/>
              </f:facet>
              <rich:dropTarget id="Ptwo" acceptedTypes="integer" dropListener="#{ePrescManager.processDropForPatient}" render="patienttwodiv">
							</rich:dropTarget>
              <s:div id="patienttwodiv">
                <s:div rendered="#{ePrescManager.selectedPatient == null}" style="width:400px;height:100px">
                  <h:outputText value="#{messages['net.ihe.gazelle.cdagen.DragAndDropPatient']}"/>
                </s:div>
                <!-- a4j:include (instead of ui:include) changes the full id so that we can include twice the same page (/patient/showPatient.xhtml)-->
                <f:subview id="subview_2">
                  <ui:include id="include4Patient2" rendered="#{ePrescManager.selectedPatient != null}" src="/patient/showPatient.xhtml">
                    <ui:param name="patient" value="#{ePrescManager.selectedPatient}"/>
                    <ui:param name="renderHistory" value="#{messages['net.ihe.gazelle.cdagen.False']}"/>
                    <ui:param name="renderEncounters" value="#{messages['net.ihe.gazelle.cdagen.False']}"/>
                  </ui:include>
                </f:subview>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.cdagen.CancelThisChoice']}" actionListener="#{ePrescManager.setSelectedPatient(null)}" styleClass="commandButton" rendered="#{ePrescManager.selectedPatient != null}" render="patienttwodiv"/>
              </s:div>
            </gri:panel>
          </h:panelGrid>
        </s:div>
      </gri:panel>
    </h:form>
    <a4j:outputPanel ajaxRendered="true"/>
  </ui:define>
</ui:composition>
